<div class="row">
	<div class="col s12 center">
		<mat-spinner diameter="150" color="primary" *ngIf="cargando"></mat-spinner>
	</div>
</div>
<div class="container-fluid" [ngStyle]="{'display': (hayRespuesta() && !cargando) ? 'block' : 'none'}">
	<mat-divider></mat-divider>
	<div class="row" *ngIf="certificado">
		<div class="col s12 center botones-certificado">
			<h5>Certificado servidor: </h5>
			<button color="primary" (click)="descargar('Certificado')" mat-raised-button title="Descargar como archivo">
				<mat-icon>cloud_download</mat-icon>
				Descargar
			</button>
			<button color="primary" (click)="copiar('Certificado')" mat-raised-button title="Copiar al portapapeles">
				<mat-icon>filter_none</mat-icon>
				Copiar
			</button>
		</div>
	</div>
	<div class="row" *ngIf="pdf">
		<div class="col s12 center botones-certificado">
			<h5>Archivo PDF: </h5>
			<button color="primary" (click)="descargar('PDF')" mat-raised-button title="Descargar como archivo">
				<mat-icon>cloud_download</mat-icon>
				Descargar
			</button>
			<button color="primary" (click)="copiar('PDF')" mat-raised-button title="Copiar al portapapeles">
				<mat-icon>filter_none</mat-icon>
				Copiar
			</button>
		</div>
	</div>
	<div class="row">
		<div class="col s12">
			<mat-card class="carta-wrap">
				<button title="Copiar cURL" (click)="copiar('cURL')" class="copy" mat-icon-button>
					<mat-icon>filter_none</mat-icon>
				</button>
				<mat-card-title>cURL</mat-card-title>
				<div [innerHTML]="curl"></div>
			</mat-card>
		</div>
	</div>
	<div class="row" *ngIf="headers.length > 0">
		<div class="col s12">
			<mat-card class="carta-wrap">
				<button title="Copiar headers" (click)="copiar('Headers')" class="copy" mat-icon-button>
					<mat-icon>filter_none</mat-icon>
				</button>
				<mat-card-title>Headers</mat-card-title>
				<div [innerHTML]="headers"></div>
			</mat-card>
		</div>
	</div>
	<div class="row">
		<div class="col s12">
			<mat-card class="carta-wrap" [ngStyle]="{'background-color': '#272822'}">
				<button title="Copiar respuesta" (click)="copiar('Respuesta')" class="copy" mat-icon-button>
					<mat-icon class="white-text">filter_none</mat-icon>
				</button>
				<mat-card-title class="white-text">Respuesta</mat-card-title>
				<markdown [data]="getRespuesta()"></markdown>
			</mat-card>
		</div>
	</div>
</div>